#!/bin/bash 

usage()
{
cat << EOF
	
	Usage:	`basename $0` [--tool_dir <tool directory>]

EOF
}
version=`cat BUILD_ID | grep rev | cut -d"-" -f2 | cut -d"_" -f1`
prefix="/usr/eye_opening"
echo ""
while [ "$1" ]; do
	echo $1
	case "$1" in
		-t |--tool_dir)
		    shift
		    prefix=$1
		;;
                -h|--help|*)
                    usage
                    exit 1 
                ;;
	esac
   shift
done

echo "`basename $0` removing tool from  $prefix directory"
echo "You can change directory to be cleaned  using pref option. See -h for usage explanation"

if [ "$version"  == 0.2 ] ; then 
	rm -rf /usr/eye_opening
	echo "----    Uninstall complited successefully"

else
	echo " ---- 	unknown version ... delete aborted "
	exit 1
fi

echo ""
