#!/bin/sh
#
# Sample client invocation
#
#
me=`basename $0`
case $# in      
0)      host=dat-linux3
        device=0 ;;
1)      host=$1
        device=0 ;;
2)      host=$1
        device=$2 ;;
*)      echo Usage: $me '[hostname [device] ]' 1>&2 ; exit 1;;
esac
#
#
# ./dapltest -T T -V -d -t 2 -w 2 -i 1000111 -s ${host} -D ${device} \ 
#           client RW  4096 1    server RW  2048 4     \
#           client RR  1024 2    server RR  2048 2     \
#           client SR  1024 3 -f server SR   256 3 -f

  ./dapltest -T T -P    -d -t 2 -w 2 -i 1024 -s ${host} -D ${device} \
            client RW  4096 1    server RW  2048 4     \
            client RR  1024 2    server RR  2048 2     \
            client SR  1024 3 -f server SR   256 3 -f

#dapltest -T T -d -s ${host} -D ${device} -i 10000 -t 1 -w 1 \
#	client SR 256 					   \
#	server SR 256
