#!/bin/sh

me=`basename $0`

case $# in      
0)	device=JniIbdd0 ;;
1)      device=$1 ;;
*)      echo Usage: $me '[device]' 1>&2 ; exit 1;;
esac

#
#   -d		debug verbosity
#   -w width	sets up 'width' sets of IA,PZ,EVD,EP,LMR,RMR,...
#   -m maximum	provides a bound on exhaustion tests
#
./dapltest -T L -D ${device} -d -w 8 -m 137
