#! /bin/sh

KER_PATH=/lib/modules/`uname -r `/build

KERNELSRC=$(grep -m 1 -e '^KERNELSRC *:=' /lib/modules/`uname -r`/build/Makefile | sed -e 's/^KERNELSRC *:= *\(.*\)/\1/' )
if [ $? == 0 ]; then
  KERNEL_SOURCE=${KER_PATH}/${KERNELSRC}
else
  KERNEL_SOURCE=${KER_PATH}
fi

echo ${KERNEL_SOURCE}
