/* * Copyright (c) 2002-2003, Network Appliance, Inc. All rights reserved.
 * Copyright (c) 2005 Mellanox Technologies.   All rights reserved.
 *
 * This Software is licensed under both of the following two licenses:
 *
 * 1) under the terms of the "Common Public License 1.0" a copy of which is
 *    in the file LICENSE.txt in the root directory. The license is also
 *    available from the Open Source Initiative, see
 *    http://www.opensource.org/licenses/cpl.php.
 * OR
 *
 * 2) under the terms of the "The BSD License" a copy of which is in the file
 *    LICENSE2.txt in the root directory. The license is also available from
 *    the Open Source Initiative, see
 *    http://www.opensource.org/licenses/bsd-license.php.
 *
 * Licensee has the right to choose either one of the above two licenses.
 *
 * Redistributions of source code must retain both the above copyright
 * notice and either one of the license notices.
 *
 * Redistributions in binary form must reproduce both the above copyright
 * notice, either one of the license notices in the documentation
 * and/or other materials provided with the distribution.
 */

#include "dapl_proto.h"

DAT_RETURN
DT_Tdep_lmr_create (DAT_IA_HANDLE		ia_handle,
		    DAT_MEM_TYPE		mem_type,
		    DAT_REGION_DESCRIPTION	region,
		    DAT_VLEN			len,
		    DAT_PZ_HANDLE		pz_handle,
		    DAT_MEM_PRIV_FLAGS		priv_flag,
		    DAT_LMR_HANDLE		*lmr_handle_ptr,
		    DAT_LMR_CONTEXT		*lmr_context_ptr,
		    DAT_RMR_CONTEXT		*rmr_context_ptr,
		    DAT_VLEN			*reg_size_ptr,
		    DAT_VADDR			*reg_addr_ptr)
{
    return dat_lmr_kcreate (ia_handle,
			    mem_type,
			    region,
			    len,
			    pz_handle,
			    priv_flag,
			    DAT_MEM_OPTIMIZE_DONT_CARE,
			    lmr_handle_ptr,
			    lmr_context_ptr,
			    rmr_context_ptr,
			    reg_size_ptr,
			    reg_addr_ptr);
}
