/*
  This software is available to you under a choice of one of two
  licenses.  You may choose to be licensed under the terms of the GNU
  General Public License (GPL) Version 2, available at
  <http://www.fsf.org/copyleft/gpl.html>, or the OpenIB.org BSD
  license, available in the LICENSE.TXT file accompanying this
  software.  These details are also available at
  <http://openib.org/license.html>.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
  ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  SOFTWARE.

  Copyright (c) 2004 Topspin Communications.  All rights reserved.

  $Id: client_query.h 477 2004-07-16 16:40:34Z roland $
*/

#ifndef _CLIENT_QUERY_H
#define _CLIENT_QUERY_H

#include "ts_ib_mad_types.h"
#include "ts_ib_client_query.h"

int ib_client_query_init(void);

void ib_client_query_cleanup(void);

ib_mad_dispatch_func ib_client_async_mad_handler_get(u8 mgmt_class);

void *ib_client_async_mad_handler_arg_get(u8 mgmt_class);

void ib_client_mad_handler(struct ib_mad *mad, void *arg);
void ib_client_query_set_in_cleanup_wait(void);
#endif				/* _CLIENT_QUERY_H */
