/*
  This software is available to you under a choice of one of two
  licenses.  You may choose to be licensed under the terms of the GNU
  General Public License (GPL) Version 2, available at
  <http://www.fsf.org/copyleft/gpl.html>, or the OpenIB.org BSD
  license, available in the LICENSE.TXT file accompanying this
  software.  These details are also available at
  <http://openib.org/license.html>.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
  ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  SOFTWARE.

  Copyright (c) 2004 Mellanox Technologies Ltd.  All rights reserved.
*/

#ifndef H_EVENTP_DEVH
#define H_EVENTP_DEVH

#define DEV_EVENTP_FIELDS    \
   volatile MT_virt_addr_t eq_arm_reg;\
   volatile MT_virt_addr_t eq_set_ci_reg_base; \
   MOSAL_iomem_t eq_arm_reg_iomem; \
   MOSAL_iomem_t eq_set_ci_reg_base_iomem; \
   XHH_cqm_t cqm;	/* For updating the cmd_sn */
   
   
#define XHH_DEV_SPECIFIC_REGS

#define DEV_EQ_ENTRY_FIELDS	 \
   volatile MT_virt_addr_t eq_set_ci_reg;
   
	  
//#define NO_EVENTS

#endif /* H_EVENTP_DEVH */
