/*
  This software is available to you under a choice of one of two
  licenses.  You may choose to be licensed under the terms of the GNU
  General Public License (GPL) Version 2, available at
  <http://www.fsf.org/copyleft/gpl.html>, or the OpenIB.org BSD
  license, available in the LICENSE.TXT file accompanying this
  software.  These details are also available at
  <http://openib.org/license.html>.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
  ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  SOFTWARE.

  Copyright (c) 2004 Mellanox Technologies Ltd.  All rights reserved.
*/

#ifndef H_XHHUL_SRQM_DEV_H
#define H_XHHUL_SRQM_DEV_H

#include <uar.h>

#define WQE_SEGMENT_NEXT_ST             wqe_segment_next_st
#define WQE_SEGMENT_CTRL_SEND_ST        wqe_segment_ctrl_send_st
#define WQE_SEGMENT_DATA_PTR_ST         wqe_segment_data_ptr_st
#define WQE_SEGMENT_CTRL_RECV_ST        wqe_segment_ctrl_recv_st

#define XHH_DEV_SPECIFIC_WQE_BUILD_RECV  \
  cur_loc_p+= WQE_init_next((u_int32_t*)cur_loc_p) /* Make "unlinked" "next" segment */

#define XHH_DEV_SPECIFIC_UL_SRQ_T_FIELDS    \
  XHH_uar_t uar;                                                        

#define XHH_DEV_SPECIFIC_ADJUST_RET_MAX_OUTS(a) (a)

#define XHH_DEV_SPECIFIC_CREATE_SRQ_DONE do {} while(0)

#define XHHUL_DEV_SPECIFIC_ALLOC_SRQ_WQE_BUF_INIT do {} while(0)

#define XHHUL_DEV_SPECIFIC_ALLOC_SRQ_WQE_BUF_INIT_DONE do {} while(0)

#define SRQ_EMPTY_SENTRY_LKEY 1

#endif /* H_XHHUL_SRQM_DEV_H */
